module DallasMarsRover
  # This class defines the survey zone for the rover
  class Zone
    # Load the zone boundaries
    # @param [Commander] commander
    # @return [Zone] zone object
    def initialize(commander)
      @zone_size_x = commander.zone_size[:x].to_i
      @zone_size_y = commander.zone_size[:y].to_i
    end

      # @param [Integer] pos_x is the new x co-ord
      # @param [Integer] pos_y is the new y co-ord
      # @return [Boolean] is the new position valid
    def valid_position?(pos_x, pos_y)
      pos_x >= 1 && pos_x < zone_size_x &&
        pos_y >= 1 && pos_y < zone_size_y
    end

    private

    attr_reader :zone_size_x, :zone_size_y
  end
end
